Package org.eclipse.emf.cdo.server

# Interface IPermissionManager

public interface IPermissionManager
Provides the protection level of `revisions` in the context of a specific user.

Since:
  4.1
Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`CDOPermission`
`getPermission(CDORevision revision, CDOBranchPoint securityContext, String userID)`
Deprecated.
As of 4.2 call `getPermission(CDORevision, CDOBranchPoint, ISession)`.
`CDOPermission`
`getPermission(CDORevision revision, CDOBranchPoint securityContext, ISession session)`
`boolean`
`hasAnyRule(ISession session, Set<? extends Object> rules)`

## Method Details

### getPermission

@Deprecated CDOPermission getPermission(CDORevision revision, CDOBranchPoint securityContext, String userID)
Deprecated.
As of 4.2 call `getPermission(CDORevision, CDOBranchPoint, ISession)`.

### getPermission

CDOPermission getPermission(CDORevision revision, CDOBranchPoint securityContext, ISession session)

Since:
  4.2

### hasAnyRule

boolean hasAnyRule(ISession session, Set<? extends Object> rules)

Since:
  4.3